Bug 657406 - gridengine-qmon has dependency on two font packages that are not in the rpm dependency list
Summary: gridengine-qmon has dependency on two font packages that are not in the rpm d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gridengine
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-25 19:36 UTC by Sidney Markowitz
Modified: 2011-03-11 20:52 UTC (History)
1 user (show)

Fixed In Version: gridengine-6.2u5-6.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-11 20:52:55 UTC
Type: ---


Attachments (Terms of Use)

Description Sidney Markowitz 2010-11-25 19:36:10 UTC
Description of problem:
In Fedora 13, 14, and RHEL6 the qmon program from gridengine-qmon rpm will not run or will not display menu items correctly unless
 xorg-x11-fonts-ISO8859-1-100dpi and xorg-x11-fonts-ISO8859-1-75dpi 
are installed. Neither is listed in gridengine-qmon's dependencies.

Version-Release number of selected component (if applicable): 6.2u5


How reproducible: always


Steps to Reproduce:
1. Install Fedora 13, or 14, or RHEL6 with EPEL, with Desktop and X Window System package groups, but do not install xorg-x11-fonts-ISO8859-1*
2. Install the packages gridengine and gridengine-qmon
3. From the command line in an X Window environment run the program qmon
  
Actual results:
If neither of the two packages are installed there are error messages on the command line about missing fonts and qmon will not run. If only one of the two packages is installed qmon may run but most of the menus show boxes instead of letters for the menu items.


Expected results:
qmon runs normally and the menus display normally


Additional info:
When I
 yum install xorg-x11-fonts-ISO8859-1-100dpi xorg-x11-fonts-ISO8859-1-75dpi
then qmon runs ok. I think those two packages should be added to the dependency list of gridengine-qmon

Comment 1 Orion Poplawski 2010-12-03 17:21:33 UTC
Indeed.  New packages will come shortly.

Comment 2 Fedora Update System 2010-12-06 21:24:46 UTC
gridengine-6.2u5-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gridengine-6.2u5-6.fc14

Comment 3 Fedora Update System 2010-12-07 20:09:24 UTC
gridengine-6.2u5-6.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gridengine'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gridengine-6.2u5-6.fc14

Comment 4 Fedora Update System 2011-03-11 20:52:45 UTC
gridengine-6.2u5-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.